## sirikali 1.4.8

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

set_property( GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON )

project( sirikali )

set( PGR_VERSION "1.4.8" )
set( COPYRIGHT_YEARS "2016-2020" )

add_definitions( -Wextra -Wall -pedantic )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

include_directories( ${PROJECT_BINARY_DIR} )

INCLUDE( GNUInstallDirs )

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

INCLUDE(CMakeDependentOption)
INCLUDE(FindPkgConfig)

if( WIN32 )
    add_definitions( -D_DEFAULT_SOURCE )
else()
    add_definitions( -D_DEFAULT_SOURCE -fstack-protector-all --param ssp-buffer-size=4 )
endif()

include_directories( ${PROJECT_BINARY_DIR} )

if( LIB_SUFFIX )
	set( CMAKE_INSTALL_LIBDIR "${LIB_SUFFIX}" )
	set( CMAKE_INSTALL_FULL_LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_SUFFIX}" )
endif()

pkg_check_modules( PWQUALITY pwquality )

if( PWQUALITY_FOUND )

	find_file( header_pwquality pwquality.h PATHS ${PWQUALITY_INCLUDE_DIRS} )
	find_library( library_pwquality pwquality )

	if( library_pwquality )
		if( header_pwquality )
			file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 1\n" )
			file( APPEND ${PROJECT_BINARY_DIR}/can_build_pwquality.h "extern \"C\"\n{\n#include <${header_pwquality}>\n}" )
		else()
			file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
		endif()
	else( library_pwquality )
		file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
	endif()
else()
	file( WRITE ${PROJECT_BINARY_DIR}/can_build_pwquality.h "#define BUILD_PWQUALITY 0\n" )
endif()

if( APPLE )
        file( WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_PREFIX}/sirikali.app/Contents/Resources/\"\n")
else()
	file( WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/sirikali/translations/\"\n")
endif()

file( WRITE  ${PROJECT_BINARY_DIR}/install_prefix.h "\n#define INSTALL_PREFIX \"${CMAKE_INSTALL_PREFIX}/\"\n" )

if( NOT DEFINED INTERNAL_LXQT_WALLET )
	set( INTERNAL_LXQT_WALLET "false" )
endif()

if( DEFINED QT5 AND NOT QT5 )
	message( FATAL_ERROR "Qt4 Build is no longer supported" )
endif()

if(NOT DEFINED NONETWORKSUPPORT)
   set( NONETWORKSUPPORT "true" )
endif()

set( QT5 "true" )

find_file( JSON_HEADER_PATH "nlohmann/json.hpp" )

if( NOT JSON_HEADER_PATH )
	set( JSON_HEADER_PATH "${PROJECT_SOURCE_DIR}/src/3rdParty/json/nlohmann/json.hpp" )
endif()

file( WRITE ${PROJECT_BINARY_DIR}/json.h "\n#include \"${JSON_HEADER_PATH}\"" )
MESSAGE( STATUS "found json.hpp header file at: ${JSON_HEADER_PATH}" )

if( WIN32 )
    set( INTERNAL_LXQT_WALLET "true" )
else()

    find_file( GCRYPT_INCLUDE_FILE gcrypt.h )
    find_path( GCRYPT_INCLUDE_PATH gcrypt.h )

    add_definitions( -I${GCRYPT_INCLUDE_PATH} )

    find_library( GCRYPT_LIBRARY gcrypt )

    if( NOT GCRYPT_INCLUDE_FILE )
            MESSAGE( FATAL_ERROR "could not find gcrypt header file" )
    else()
            MESSAGE( STATUS "found gcrypt header file at: ${GCRYPT_INCLUDE_FILE}" )
    endif()

    if( NOT GCRYPT_LIBRARY )
            MESSAGE( FATAL_ERROR "could not find gcrypt library" )
    else()
            get_filename_component( GCRYPT_LIBRARY_PATH ${GCRYPT_LIBRARY} DIRECTORY )

            MESSAGE( STATUS "found gcrypt library at: ${GCRYPT_LIBRARY}" )
            MESSAGE( STATUS "adding library search path of: ${GCRYPT_LIBRARY_PATH}" )

    endif()
endif()

if( UNIX AND NOT APPLE )

        find_package( Qt5 COMPONENTS Core Widgets Network DBus REQUIRED )

	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
	message( STATUS "Found Qt5DBus, version  ${Qt5DBus_VERSION}" )
else()
        find_package( Qt5 COMPONENTS Core Widgets Network REQUIRED )

	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
endif()

pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )

file( WRITE ${PROJECT_BINARY_DIR}/version.h "
#ifndef THIS_VERSION
#define THIS_VERSION \"${PGR_VERSION}\"
#endif
\n
#ifndef SIRIKALI_VERSION
#define SIRIKALI_VERSION
#define VERSION_STRING \"Version  : ${PGR_VERSION} (Compiled with Qt ${Qt5Core_VERSION})\\nCopyright: ${COPYRIGHT_YEARS} Francis Banyikwa,mhogomchungu@gmail.com\\nLicense  : GPLv2+\"
#endif
\n" )

if(NONETWORKSUPPORT)
        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 0\n")
	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "network support is disabled" )
	message( STATUS "---------------------------------------------------------------------------" )
else()
        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 1\n")

	message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_network library will be provided by an internal library" )
	message( STATUS "---------------------------------------------------------------------------" )
	ADD_SUBDIRECTORY( src/3rdParty/NetworkAccessManager )
	include_directories( src/3rdParty/NetworkAccessManager )
endif()

if( MCHUNGU_TASK_FOUND )

        message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_task library will be provided by an external library" )
	message( STATUS "---------------------------------------------------------------------------" )

	include_directories( "${MCHUNGU_TASK_INCLUDEDIR}" )
	link_directories( "${MCHUNGU_TASK_LIBDIR}" )
else()
        message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "mhogomchungu_task library will be provided by an internal library" )
	message( STATUS "---------------------------------------------------------------------------" )
	include_directories( src/3rdParty/tasks )
	ADD_SUBDIRECTORY( src/3rdParty/tasks )
endif()

if( INTERNAL_LXQT_WALLET )

        message( STATUS "---------------------------------------------------------------------------" )
	message( STATUS "lxqt wallet support will be provided by an internal library" )
	message( STATUS "---------------------------------------------------------------------------" )

	ADD_SUBDIRECTORY( src/3rdParty/lxqt_wallet )
	include_directories( ${PROJECT_SOURCE_DIR}/src/3rdParty/lxqt_wallet/frontend )
	include_directories( ${PROJECT_BINARY_DIR}/src/3rdParty/lxqt_wallet/frontend )
else()
        pkg_check_modules( LXQT_WALLET lxqt-wallet )

	if( NOT LXQT_WALLET_FOUND )

	        message( STATUS "ERROR: could not find lxqt_wallet package" )
		message( STATUS "---------------------------------------------------------------------------" )
		message( STATUS "lxqt wallet support will be provided by an internal library" )
		message( STATUS "---------------------------------------------------------------------------" )

		include_directories( ${PROJECT_SOURCE_DIR}/src/3rdParty/lxqt_wallet/frontend )
		include_directories( ${PROJECT_BINARY_DIR}/src/3rdParty/lxqt_wallet/frontend )

		ADD_SUBDIRECTORY( src/3rdParty/lxqt_wallet )
	else()
	        if( LXQT_WALLET_VERSION VERSION_GREATER "3.1.0"  )

		        include_directories( ${LXQT_WALLET_INCLUDEDIR} )
			link_directories( ${LXQT_WALLET_LIBDIR} )

			message( STATUS "---------------------------------------------------------------------------" )
			message( STATUS "lxqt wallet support will be provided by an external library" )
			message( STATUS "---------------------------------------------------------------------------" )
		else()
		        message( STATUS "---------------------------------------------------------------------------" )

			message( FATAL_ERROR "---------------------------------------------------------------------------\nInstalled version of lxqt_wallet is too old(<3.2.0)\nPlease install a more receant version from: https://github.com/lxqt/lxqt_wallet\n---------------------------------------------------------------------------" )

		endif()
	endif()
endif()

add_definitions( -std=c++14 )

set( UI_FILES 	src/sirikali.ui
		src/keydialog.ui
		src/dialogmsg.ui
		src/plugin.ui
		src/createbackendwindow.ui
		src/favorites2.ui
		src/readonlywarning.ui
		src/dialogok.ui
		src/help.ui
		src/filemanager.ui
		src/debugwindow.ui
		src/configfileoption.ui
		src/configoptions.ui
		src/checkforupdateswindow.ui
		src/engines/options.ui
		src/engines/customcreateoptions.ui
		src/engines/gocryptfscreateoptions.ui
		src/engines/ecryptfscreateoptions.ui
		src/engines/securefscreateoptions.ui
		src/engines/encfscreateoptions.ui
		src/engines/cryfscreateoptions.ui
		src/engines/fscryptcreateoptions.ui
)

set( MOC_FILES
		src/configoptions.h
		src/configfileoption.h
		src/dialogok.h
		src/help.h
		src/createbackendwindow.h
		src/sirikali.h
		src/oneinstance.h
		src/keydialog.h
		src/dialogmsg.h
		src/plugin.h
		src/favorites2.h
		src/readonlywarning.h
		src/filemanager.h
		src/mountinfo.h
		src/debugwindow.h
		src/runinthread.h
		src/checkforupdateswindow.h
		src/engines/options.h
		src/engines/customcreateoptions.h
		src/engines/gocryptfscreateoptions.h
		src/engines/ecryptfscreateoptions.h
		src/engines/securefscreateoptions.h
		src/engines/encfscreateoptions.h
		src/engines/cryfscreateoptions.h
		src/engines/fscryptcreateoptions.h
 )

set( SRC 	src/dialogok.cpp
		src/main.cpp
		src/systemsignalhandler.cpp
		src/crypto.cpp
		src/runinthread.cpp
		src/debugwindow.cpp
		src/configoptions.cpp
		src/configfileoption.cpp
		src/sirikali.cpp
		src/checkforupdateswindow.cpp
		src/keydialog.cpp
		src/siritask.cpp
		src/help.cpp
		src/createbackendwindow.cpp
		src/engines.cpp
		src/oneinstance.cpp
		src/mountinfo.cpp
		src/utility.cpp
		src/dialogmsg.cpp
		src/favorites.cpp
		src/favorites2.cpp
		src/checkforupdates.cpp
		src/plugin.cpp
		src/tablewidget.cpp
		src/readonlywarning.cpp
		src/secrets.cpp
		src/filemanager.cpp
		src/utility2.cpp
		src/win.cpp
		src/processManager.cpp
		src/settings.cpp
		src/engines/options.cpp
		src/engines/cryfs.cpp
		src/engines/ecryptfs.cpp
		src/engines/gocryptfs.cpp
		src/engines/securefs.cpp
		src/engines/sshfs.cpp
		src/engines/customcreateoptions.cpp
		src/engines/encfs.cpp
		src/engines/unknown.cpp
		src/engines/custom.cpp
		src/engines/gocryptfscreateoptions.cpp
		src/engines/ecryptfscreateoptions.cpp
		src/engines/securefscreateoptions.cpp
		src/engines/encfscreateoptions.cpp
		src/engines/cryfscreateoptions.cpp
		src/engines/fscrypt.cpp
		src/engines/fscryptcreateoptions.cpp
		src/engines/cryptomator.cpp
)

if( APPLE )

	SET( MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/src/MacOSXBundleInfo.plist.in" )
	SET( MACOSX_BUNDLE_BUNDLE_NAME "SiriKali" )
	SET( MACOSX_BUNDLE_COPYRIGHT "(c)${COPYRIGHT_YEARS},Francis Banyikwa,mhogomchungu@gmail.com" )
	SET( MACOSX_BUNDLE_BUNDLE_VERSION "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_GUI_IDENTIFIER "com.crypto.SiriKali" )
	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
endif()

=== src/siripolkit/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

add_definitions( -Wextra -Wall -pedantic -std=c++14 -I${PROJECT_BINARY_DIR}/siripoltik/ )
include_directories( ${PROJECT_BINARY_DIR}/siripoltik/ )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

set( sirikali.pkexecSRC
	main.cpp
	zulupolkit.cpp
)

find_package( Qt5Core REQUIRED )
find_package( Qt5Network REQUIRED )

INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )

add_executable( sirikali.pkexec ${sirikali.pkexecMOC} ${sirikali.pkexecSRC} )

#set_target_properties( sirikali.pkexec PROPERTIES INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}" )

set_target_properties( sirikali.pkexec PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic" )

if( QT5 )
        target_link_libraries( sirikali.pkexec ${Qt5Core_LIBRARIES} ${Qt5Network_LIBRARIES} mhogomchungu_task -Wl,-znow )
else()
        target_link_libraries( sirikali.pkexec ${QT_LIBRARIES} ${QT_NETWORK} mhogomchungu_task -Wl,-znow )
endif()

install( TARGETS sirikali.pkexec RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )

=== src/3rdParty/NetworkAccessManager/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

project( MhogomchunguNetwork )

set( LIB_VERSION "1.0.0" )
set( SO_VERSION "1.0.0" )

add_definitions( -Wextra -Wall -pedantic -std=c++14 )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

INCLUDE( GNUInstallDirs )

INCLUDE( CMakeDependentOption )

include_directories( ${Qt5Core_INCLUDE_DIRS} )

QT5_WRAP_CPP( MOC_LIBRARY network_access_manager.hpp )

if( MHOGOMCHUNGU_NETWORK_INSTALL )

	add_library( mhogomchungu_network SHARED ${MOC_LIBRARY})
	set_target_properties(mhogomchungu_network PROPERTIES SOVERSION "${SO_VERSION}")
else()
	add_library( mhogomchungu_network STATIC ${MOC_LIBRARY} )
endif()

target_link_libraries( mhogomchungu_network ${Qt5Core_LIBRARIES} )

if( WIN32 )
	set_target_properties( mhogomchungu_network PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic " )
else()
	set_target_properties( mhogomchungu_network PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic " )
endif()

file( WRITE ${PROJECT_BINARY_DIR}/mhogomchungu_network.pc
"prefix=${CMAKE_INSTALL_PREFIX}
libdir=${CMAKE_INSTALL_FULL_LIBDIR}
includedir=${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu

Name: mhogomchungu_network
Description: A Qt5 library that modenizes QNetworkAccessManager with moderm c++ constructs
Version: ${LIB_VERSION}
Libs: -L${CMAKE_INSTALL_FULL_LIBDIR} -l${Qt5Core_LIBRARIES} -l${Qt5Network_LIBRARIES}
Cflags: -I${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu
\n")

if( MHOGOMCHUNGU_NETWORK_INSTALL )
	install( FILES ${PROJECT_BINARY_DIR}/mhogomchungu_network.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install( FILES network_access_manager.hpp DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mhogomchungu )
	install( TARGETS mhogomchungu_network LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
endif()

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

=== src/3rdParty/lxqt_wallet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)

project(lxqt_wallet)

set(LIBRARY_VERSION "3.2.0")

add_definitions(-Wextra -Wall -pedantic)

find_package(PkgConfig)

include(GNUInstallDirs)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

add_subdirectory(backend)
add_subdirectory(frontend)

=== src/3rdParty/tasks/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.0 )

project( mhogomchungu_task )

set( LIB_VERSION "1.2.3" )
set( SO_VERSION "1.0.0" )

add_definitions( -Wextra -Wall -pedantic -std=c++14 )

set( CMAKE_CXX_STANDARD 14 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_EXTENSIONS OFF)

INCLUDE( GNUInstallDirs )

INCLUDE( CMakeDependentOption )

QT5_WRAP_CPP( MOC_LIBRARY task.hpp )

include_directories( ${Qt5Core_INCLUDE_DIRS} )

if( MCHUNGU_TASK_INSTALL )
	add_library( mhogomchungu_task SHARED ${MOC_LIBRARY} )
	set_target_properties(mhogomchungu_task PROPERTIES SOVERSION "${SO_VERSION}")
else()
	add_library( mhogomchungu_task STATIC ${MOC_LIBRARY} )
endif()

target_link_libraries( mhogomchungu_task ${Qt5Core_LIBRARIES} )

if( WIN32 )
	set_target_properties( mhogomchungu_task PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic " )
else()
	set_target_properties( mhogomchungu_task PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic " )
endif()

if( MCHUNGU_TASK_DEBUG )
	QT5_WRAP_CPP( MOC_EXE example.h )
	add_executable( example example.cpp main.cpp ${MOC_EXE} )
	target_link_libraries( example mhogomchungu_task )
endif()

file( WRITE ${PROJECT_BINARY_DIR}/mhogomchungu_task.pc
"prefix=${CMAKE_INSTALL_PREFIX}
libdir=${CMAKE_INSTALL_FULL_LIBDIR}
includedir=${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu

Name: mhogomchungu_task
Description: A Qt5 library that offers task based programming using modern C++
Version: ${LIB_VERSION}
Libs: -L${CMAKE_INSTALL_FULL_LIBDIR} -l${Qt5Core_LIBRARIES}
Cflags: -I${CMAKE_INSTALL_FULL_INCLUDEDIR}/mhogomchungu
\n")

if( MCHUNGU_TASK_INSTALL )
	install( FILES ${PROJECT_BINARY_DIR}/mhogomchungu_task.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install( FILES task.hpp DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mhogomchungu )
	install( TARGETS mhogomchungu_task LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
endif()

# uninstall target
configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY )

add_custom_target( uninstall
COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )

=== src/3rdParty/lxqt_wallet/backend/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

add_definitions(-Wno-unused-result)

find_file(GCRYPT_INCLUDE_FILE gcrypt.h)

find_library(GCRYPT_LIBRARY gcrypt)

if(NOT GCRYPT_INCLUDE_FILE)
    MESSAGE(FATAL_ERROR "Could not find gcrypt header file")
else()
    MESSAGE(STATUS "Found gcrypt header file: ${GCRYPT_INCLUDE_FILE}")
endif()

if(NOT GCRYPT_LIBRARY)
    MESSAGE(FATAL_ERROR "Could not find gcrypt library(libgcrypt.so)")
else()
    MESSAGE(STATUS "Found gcrypt library: ${GCRYPT_LIBRARY}")
endif()

add_library(lxqtwallet-backend STATIC lxqtwallet.c)
if( CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0 )
        set_target_properties(lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -fPIC -pedantic -Wformat-truncation=0")
else()
        set_target_properties(lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -fPIC -pedantic")
endif()
set_target_properties(lxqtwallet-backend PROPERTIES LINK_FLAGS "-pie")

target_link_libraries(lxqtwallet-backend "${GCRYPT_LIBRARY}")

=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

INCLUDE(FindPkgConfig)

include_directories(${PROJECT_BINARY_DIR}/frontend)
include_directories(${PROJECT_BINARY_DIR}/backend)
include_directories(${PROJECT_BINARY_DIR})

include_directories(${CMAKE_BINARY_DIR})

if(APPLE)
    file( WRITE ${PROJECT_BINARY_DIR}/osx_keychain.h "#define OSX_KEYCHAIN 1" )
else()
    file( WRITE ${PROJECT_BINARY_DIR}/osx_keychain.h "#define OSX_KEYCHAIN 0" )
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${Qt5Widgets_INCLUDE_DIRS})
include_directories(${Qt5Core_INCLUDE_DIRS}})
include_directories(${Qt5DBus_INCLUDE_DIRS}})

add_definitions(${Qt5Widgets_DEFINITIONS})
add_definitions(${Qt5Core_DEFINITIONS})

if(NOSECRETSUPPORT)
    SET(SECRET_SUPPORT "false")
    file(WRITE ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 0\n")
else()
    pkg_check_modules(LIBSECRET libsecret-1 QUIET)
    if(LIBSECRET_FOUND)
        add_subdirectory(libsecret)
        SET(SECRET_SUPPORT "true")
        file(WRITE ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 1\n")
    else()
        SET(SECRET_SUPPORT "false")
        file(WRITE ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_SECRET_SUPPORT 0\n")
    endif()
endif()

add_definitions(-std=c++14)

if(NOKDESUPPORT)
    SET(KWALLET_SUPPORT "false")
    file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
else()
    message(STATUS "Checking for modules 'KF5Wallet'")
    find_package(KF5Wallet QUIET)
    if(KF5Wallet_FOUND )
        message(STATUS "  Found KF5Wallet, version ${KF5Wallet_VERSION}")
        file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 1\n")
        SET(KWALLET_SUPPORT "true")
    else()
        file(APPEND  ${PROJECT_BINARY_DIR}/storage_manager.h "\n#define HAS_KWALLET_SUPPORT 0\n")
        SET(KWALLET_SUPPORT "false")
    endif()
endif()

if(KWALLET_SUPPORT)
    message(STATUS "\n--------------------------------------------------------------------------")
    message(STATUS "kwallet support found,will build kwallet functionality")
    message(STATUS "-----------------------------------------------------------------------")
else()
    message(STATUS "\n--------------------------------------------------------------------------")
    message(STATUS "kwallet support NOT found, support will be discovered at runtime through dbus")
    message(STATUS "-----------------------------------------------------------------------")
endif()

if(SECRET_SUPPORT)
    message(STATUS "\n--------------------------------------------------------------------------")
    message(STATUS "libsecret support found,will build libsecret functionality")
    message(STATUS "-----------------------------------------------------------------------")
else()
    message(STATUS "\n--------------------------------------------------------------------------")
    message(STATUS "libsecret support NOT found,will not build libsecret functionality")
    message(STATUS "-----------------------------------------------------------------------")
endif()

set(COMMON_UI_FILES  changepassworddialog.ui password_dialog.ui)
set(COMMON_MOC_FILES task.h changepassworddialog.h password_dialog.h)
set(COMMON_SRC_FILES changepassworddialog.cpp password_dialog.cpp lxqt_windows_dpapi.cpp lxqt_internal_wallet.cpp lxqt_wallet.cpp lxqt_osx_keychain.cpp)

Qt5_WRAP_UI(UI ${COMMON_UI_FILES})
Qt5_WRAP_CPP(MOC ${COMMON_MOC_FILES})

if(KWALLET_SUPPORT)
    Qt5_WRAP_CPP(MOC_KWALLET lxqt_kwallet.h)
    set(KWALLET_COMMON lxqt_kwallet.cpp)
    if(SECRET_SUPPORT)
	add_library(lxqt-wallet STATIC ${KWALLET_COMMON} lxqt_libsecret.cpp ${UI} ${COMMON_SRC_FILES} ${MOC} ${MOC_KWALLET})
	target_link_libraries(lxqt-wallet secretlib)
    else()
	add_library(lxqt-wallet STATIC ${KWALLET_COMMON} ${UI} ${COMMON_SRC_FILES} ${MOC} ${MOC_KWALLET})
    endif()
    target_link_libraries(lxqt-wallet KF5::Wallet)
else()
    Qt5_WRAP_CPP(MOC_KWALLET_DBUS lxqt_kwallet-dbus.h)
    set(KWALLET_DBUS lxqt_kwallet-dbus.cpp)
    if(SECRET_SUPPORT)
	add_library(lxqt-wallet STATIC lxqt_libsecret.cpp ${KWALLET_DBUS} ${UI} ${COMMON_SRC_FILES} ${MOC} ${MOC_KWALLET_DBUS})
	target_link_libraries(lxqt-wallet secretlib)
    else()
	add_library(lxqt-wallet STATIC ${UI} ${COMMON_SRC_FILES} ${KWALLET_DBUS} ${MOC} ${MOC_KWALLET_DBUS})
    endif()
endif()

target_link_libraries(lxqt-wallet lxqtwallet-backend)

target_link_libraries(lxqt-wallet ${Qt5Widgets_LIBRARIES})
target_link_libraries(lxqt-wallet ${Qt5Core_LIBRARIES})

if(WIN32)
    target_link_libraries(lxqt-wallet -lcrypt32 -lbcrypt)
else()
    target_link_libraries(lxqt-wallet ${Qt5DBus_LIBRARIES})
endif()

if(APPLE)
    find_library(COREFOUNDATION_LIBRARY CoreFoundation REQUIRED)
    find_library(SECURITY_LIBRARY Security REQUIRED)
    target_link_libraries(lxqt-wallet ${COREFOUNDATION_LIBRARY} ${SECURITY_LIBRARY})
endif()

set_target_properties(lxqt-wallet PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic ")
set_target_properties(lxqt-wallet PROPERTIES SOVERSION "${LIBRARY_VERSION}")

file(WRITE ${PROJECT_BINARY_DIR}/translations_path.h
"
#define TRANSLATIONS_PATH \"${CMAKE_INSTALL_PREFIX}/share/lxqt/translations/lxqt-wallet/\"
")

SET(TRANSLATIONS
   ../translations/lxqt-wallet_nl_NL.ts
   ../translations/lxqt-wallet_fr_FR.ts
   ../translations/lxqt-wallet_de_DE.ts
   ../translations/lxqt-wallet_gr_GR.ts
   ../translations/lxqt-wallet_es_ES.ts
   ../translations/lxqt-wallet_pl_PL.ts
)

=== debian/changelog ===
sirikali (1.4.8-2) unstable; urgency=medium

  * Fix the watch file

 -- David Steele <steele@debian.org>  Thu, 16 Sep 2021 22:46:39 -0400

sirikali (1.4.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ David Steele ]
  * New upstream version (Closes: #975130).

 -- David Steele <steele@debian.org>  Tue, 01 Dec 2020 12:36:35 -0500

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://github.com/mhogomchungu/sirikali/releases \
/mhogomchungu/sirikali/releases/download/.+/SiriKali-(.*)\.tar\.xz

## sirikali 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,28 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.4.8" )
-set( COPYRIGHT_YEARS "2016-2020" )
+set( PGR_VERSION "1.5.0" )
+set( COPYRIGHT_YEARS "2016-2022" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
-set( CMAKE_CXX_STANDARD 14 )
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+	MESSAGE( STATUS "Setting C++ version to C++20" )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+	MESSAGE( STATUS "Setting C++ version to C++20" )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+	#This is necessary with old versions of cmake
+	add_definitions(-std=c++14)
+	MESSAGE( STATUS "Setting C++ version to C++14" )
+endif()
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    add_definitions(-Qunused-arguments)
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)
 
@@ -85,15 +101,6 @@
 
 set( QT5 "true" )
 
-find_file( JSON_HEADER_PATH "nlohmann/json.hpp" )
-
-if( NOT JSON_HEADER_PATH )
-	set( JSON_HEADER_PATH "${PROJECT_SOURCE_DIR}/src/3rdParty/json/nlohmann/json.hpp" )
-endif()
-
-file( WRITE ${PROJECT_BINARY_DIR}/json.h "\n#include \"${JSON_HEADER_PATH}\"" )
-MESSAGE( STATUS "found json.hpp header file at: ${JSON_HEADER_PATH}" )
-
 if( WIN32 )
     set( INTERNAL_LXQT_WALLET "true" )
 else()
@@ -124,14 +131,14 @@
 
 if( UNIX AND NOT APPLE )
 
-        find_package( Qt5 COMPONENTS Core Widgets Network DBus REQUIRED )
+	find_package( Qt5 COMPONENTS Core Widgets Network DBus REQUIRED )
 
 	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
 	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
 	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 	message( STATUS "Found Qt5DBus, version  ${Qt5DBus_VERSION}" )
 else()
-        find_package( Qt5 COMPONENTS Core Widgets Network REQUIRED )
+	find_package( Qt5 COMPONENTS Core Widgets Network REQUIRED )
 
 	message( STATUS "Found Qt5Widgets, version  ${Qt5Widgets_VERSION}" )
 	message( STATUS "Found Qt5Core, version  ${Qt5Core_VERSION}" )
@@ -139,7 +146,7 @@
 endif()
 
 pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
-pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
+#pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
 file( WRITE ${PROJECT_BINARY_DIR}/version.h "
 #ifndef THIS_VERSION
@@ -223,8 +230,6 @@
 		endif()
 	endif()
 endif()
-
-add_definitions( -std=c++14 )
 
 set( UI_FILES 	src/sirikali.ui
 		src/keydialog.ui
@@ -291,6 +296,7 @@
 		src/keydialog.cpp
 		src/siritask.cpp
 		src/help.cpp
+		src/themes.cpp
 		src/createbackendwindow.cpp
 		src/engines.cpp
 		src/oneinstance.cpp
@@ -339,8 +345,3 @@
 	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
-	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
-endif()
-

=== src/sirikali_cppcryptfs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(sirikali_cppcryptfs LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)

add_executable(sirikali_cppcryptfs
  main.cpp
)
target_link_libraries(sirikali_cppcryptfs Qt${QT_VERSION_MAJOR}::Core)

=== src/siripolkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,16 @@
 cmake_minimum_required( VERSION 3.0 )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++14 -I${PROJECT_BINARY_DIR}/siripoltik/ )
+add_definitions( -Wextra -Wall -pedantic -I${PROJECT_BINARY_DIR}/siripoltik/ )
 include_directories( ${PROJECT_BINARY_DIR}/siripoltik/ )
 
-set( CMAKE_CXX_STANDARD 14 )
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)
 
@@ -12,8 +19,8 @@
 	zulupolkit.cpp
 )
 
-find_package( Qt5Core REQUIRED )
-find_package( Qt5Network REQUIRED )
+find_package( Qt5 COMPONENTS Core Network REQUIRED )
+
 
 INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )

=== src/3rdParty/NetworkAccessManager/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,16 @@
 set( LIB_VERSION "1.0.0" )
 set( SO_VERSION "1.0.0" )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++14 )
+add_definitions( -Wextra -Wall -pedantic)
 
-set( CMAKE_CXX_STANDARD 14 )
+if( CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
+set( CMAKE_CXX_EXTENSIONS OFF)
 
 INCLUDE( GNUInstallDirs )

=== src/3rdParty/tasks/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,16 @@
 set( LIB_VERSION "1.2.3" )
 set( SO_VERSION "1.0.0" )
 
-add_definitions( -Wextra -Wall -pedantic -std=c++14 )
+add_definitions( -Wextra -Wall -pedantic)
 
-set( CMAKE_CXX_STANDARD 14 )
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"  AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
 set( CMAKE_CXX_STANDARD_REQUIRED ON )
 set( CMAKE_CXX_EXTENSIONS OFF)

=== src/3rdParty/lxqt_wallet/backend/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 add_library(lxqtwallet-backend STATIC lxqtwallet.c)
 if( CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0 )
-        set_target_properties(lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -fPIC -pedantic -Wformat-truncation=0")
+        set_target_properties(lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -fPIC -pedantic -Wno-format-truncation")
 else()
         set_target_properties(lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -fPIC -pedantic")
 endif()

=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,17 @@
     endif()
 endif()
 
-add_definitions(-std=c++14)
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
+	set( CMAKE_CXX_STANDARD 20 )
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"  AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
+	set( CMAKE_CXX_STANDARD 20 )
+else()
+	add_definitions(-std=c++14)
+	set( CMAKE_CXX_STANDARD 14 )
+endif()
+
+set( CMAKE_CXX_STANDARD_REQUIRED ON )
+set( CMAKE_CXX_EXTENSIONS OFF)
 
 if(NOKDESUPPORT)
     SET(KWALLET_SUPPORT "false")

=== src/3rdParty/lxqt_wallet/frontend/libsecret/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

include_directories( ${LIBSECRET_INCLUDE_DIRS} )
link_directories( ${LIBSECRET_LIBDIR} )
add_definitions( -I${LIBSECRET_INCLUDEDIR} )

set( SECRETSERVICE_LIBRARY "secretlib" )
add_library( secretlib STATIC ../libsecret.c )
target_link_libraries( secretlib ${LIBSECRET_LIBRARIES} -L${LIBSECRET_LIBDIR} )
set_target_properties( secretlib PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic" )

=== debian/changelog ===
sirikali (1.5.0-2) unstable; urgency=medium

  * Fix the watch file, broken by GitHub.

 -- David Steele <steele@debian.org>  Sat, 01 Oct 2022 14:28:26 -0400

sirikali (1.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Thu, 12 May 2022 12:28:30 -0400

=== debian/control ===
Source: sirikali
Section: admin
Priority: optional
Maintainer: David Steele <steele@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               libgcrypt20-dev,
               libsecret-1-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               chrpath,
               bzip2,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://mhogomchungu.github.io/sirikali
Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
Vcs-Browser: https://github.com/davesteele/sirikali

Package: sirikali
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cryfs
Suggests: encfs, gocryptfs, ecryptfs-utils, sshfs
Description: Manage user encrypted volumes
 Sirikali provides a Qt/C++ GUI front end to cryfs,gocryptfs,securefs and encfs,
 allowing the user to create, mount, and unmount encrypted volumes.

## sirikali 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,25 +4,18 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.5.0" )
-set( COPYRIGHT_YEARS "2016-2022" )
-
-add_definitions( -Wextra -Wall -pedantic )
-
-if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0 )
-	set( CMAKE_CXX_STANDARD 20 )
-	MESSAGE( STATUS "Setting C++ version to C++20" )
-elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
-	set( CMAKE_CXX_STANDARD 20 )
-	MESSAGE( STATUS "Setting C++ version to C++20" )
-else()
-	set( CMAKE_CXX_STANDARD 14 )
-	#This is necessary with old versions of cmake
-	add_definitions(-std=c++14)
-	MESSAGE( STATUS "Setting C++ version to C++14" )
-endif()
-
-if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+set( PGR_VERSION "1.5.1" )
+set( COPYRIGHT_YEARS "2016-2023" )
+
+set( CMAKE_CXX_STANDARD 14 )
+
+MESSAGE( STATUS "Setting C++ version to C++14" )
+if(${CMAKE_VERSION} VERSION_LESS "3.1.0")
+        message("Warning your cmake version is too old(<3.1.0) and code my not compile")
+        add_definitions(-std=c++14)
+endif()
+
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     add_definitions(-Qunused-arguments)
 endif()
 
@@ -145,7 +138,6 @@
 	message( STATUS "Found Qt5Network, version  ${Qt5Network_VERSION}" )
 endif()
 
-pkg_check_modules( MCHUNGU_NETWORK mhogomchungu_network )
 #pkg_check_modules( MCHUNGU_TASK mhogomchungu_task )
 
 file( WRITE ${PROJECT_BINARY_DIR}/version.h "
@@ -159,20 +151,7 @@
 #endif
 \n" )
 
-if(NONETWORKSUPPORT)
-        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 0\n")
-	message( STATUS "---------------------------------------------------------------------------" )
-	message( STATUS "network support is disabled" )
-	message( STATUS "---------------------------------------------------------------------------" )
-else()
-        file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 1\n")
-
-	message( STATUS "---------------------------------------------------------------------------" )
-	message( STATUS "mhogomchungu_network library will be provided by an internal library" )
-	message( STATUS "---------------------------------------------------------------------------" )
-	ADD_SUBDIRECTORY( src/3rdParty/NetworkAccessManager )
-	include_directories( src/3rdParty/NetworkAccessManager )
-endif()
+file(WRITE  ${PROJECT_BINARY_DIR}/network_support.h "\n#define HAS_NETWORK_SUPPORT 1\n")
 
 if( MCHUNGU_TASK_FOUND )
 
@@ -345,3 +324,30 @@
 	SET( MACOSX_BUNDLE_SHORT_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_LONG_VERSION_STRING "${PGR_VERSION}" )
 	SET( MACOSX_BUNDLE_ICON_FILE sirikali.icns )
+	SET_SOURCE_FILES_PROPERTIES( icons/256x256/sirikali.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+	SET_SOURCE_FILES_PROPERTIES( translations/en_US.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+	SET_SOURCE_FILES_PROPERTIES( translations/fr_FR.qm PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
+endif()
+
+set( CMAKE_INCLUDE_CURRENT_DIR ON )
+include_directories( ${Qt5Widgets_INCLUDE_DIRS} )
+include_directories( ${Qt5Network_INCLUDE_DIRS} )
+
+add_definitions( ${Qt5Widgets_DEFINITIONS} )
+
+QT5_WRAP_UI( UI ${UI_FILES} )
+QT5_WRAP_CPP( MOC ${MOC_FILES} )
+QT5_ADD_RESOURCES( TRAY_RC_SRCS src/icon.qrc )
+
+INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
+INCLUDE_DIRECTORIES( ${GCRYPT_INCLUDE_PATH} )
+
+if( APPLE )
+	add_executable( sirikali MACOSX_BUNDLE ${MOC} ${UI} ${SRC} ${TRAY_RC_SRCS} ${PROJECT_SOURCE_DIR}/icons/256x256/sirikali.icns )
+	set_target_properties( sirikali PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+else()
+	if( WIN32 )
+		 set(APP_ICON_RESOURCE_WINDOWS "${CMAKE_CURRENT_SOURCE_DIR}/src/appicon.rc" )
+		 add_executable( sirikali WIN32 ${MOC} ${UI} ${SRC} ${TRAY_RC_SRCS} ${APP_ICON_RESOURCE_WINDOWS} )
+		 set_target_properties( sirikali PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
+	else()

=== src/3rdParty/lxqt_wallet/CMakeLists.txt ===
--- 
+++ 
@@ -21,5 +21,12 @@
 add_custom_target( uninstall
 COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake )
 
-add_subdirectory(backend)
+if( WIN32 )
+    add_library( lxqtwallet-backend STATIC backend/fake_wallet_backend.c )
+
+    set_target_properties( lxqtwallet-backend PROPERTIES COMPILE_FLAGS "-Wall -s -pedantic" )
+else()
+    add_subdirectory(backend)
+endif()
+
 add_subdirectory(frontend)

=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===
--- 
+++ 
@@ -43,8 +43,11 @@
 elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"  AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 10.0.0)
 	set( CMAKE_CXX_STANDARD 20 )
 else()
-	add_definitions(-std=c++14)
 	set( CMAKE_CXX_STANDARD 14 )
+                if(${CMAKE_VERSION} VERSION_LESS "3.1.0")
+                        message("Warning your cmake version is too old(<3.1.0) and code my not compile")
+                        add_definitions(-std=c++14)
+                endif()
 endif()
 
 set( CMAKE_CXX_STANDARD_REQUIRED ON )

=== debian/changelog ===
sirikali (1.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:48 +1100

sirikali (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:07:40 +0000

sirikali (1.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Abort install if sirikali is running (Closes: #897439).

 -- David Steele <steele@debian.org>  Sun, 30 Jul 2023 13:33:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sirikali
 Section: admin
 Priority: optional
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Steele <steele@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                pkg-config,
